./www/ap24-authnz-external, Apache module for external program authentication

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 3.3.1, Package name: ap24-authnz-external-3.3.1, Maintainer: pkgsrc-users

The Apache HTTP Daemon can be configured to require users to supply logins
and passwords before accessing pages in some directories. Authentication is
the process of checking if the password given is correct for a user. Apache
has standard modules for authenticating out of several different kinds of
databases. The external authentication module provides a flexible tool for
creating authentication systems based on other databases.

The module can be used in either of two somewhat divergent ways:
1) External Authentication:

When a user supplies a login and password, mod_auth*_external runs a program
you write, passing it the login and password. Your program does whatever
checking and logging it needs to, and then returns a Accept/Reject flag to
Apache.

2) Hardcoded Authentication:

Some hooks have been inserted into mod_auth*_external to make it easy to
replace the call to the external authentication program with a call to a
hardcoded internal authentication routine that you write.


Required to build:
[pkgtools/cwrappers]

Master sites:

SHA1: 75d6eb9e7e7fe81fa12c5f880e6659eef63f1785
RMD160: d15f60f91f0903fd45ad24ff3d5b1031d47751b8
Filesize: 34.466 KB

Version history: (Expand)


CVS history: (Expand)


   2017-08-01 18:51:20 by Thomas Klausner | Files touched by this commit (2) | Package updated
Log message:
Update HOMEPAGE.
   2017-03-23 18:07:02 by Joerg Sonnenberger | Files touched by this commit (219)
Log message:
Extend SHA512 checksums to various files I have on my local distfile
mirror.
   2016-04-06 11:02:07 by Emmanuel Dreyfus | Files touched by this commit (6)
Log message:
Add ap24-authnz-external

This is a newer version of the ap22-authnz-external package that
adds support for apache 2.4 and drops support for apache 2.2

Approved by wiz@